[FlyWeb] Can no longer build larch branch for Fennec

RESOLVED FIXED

Status

()

Core
Networking
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: justindarc, Assigned: djvj)

Tracking

(Blocks: 1 bug)

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

a year ago
Created attachment 8737886 [details]
larch-fennec-build-fail.log

With the recent landing of nsNetworkInfoService support for Linux, we can no longer build the larch branch for Fennec. See attached log.
(Reporter)

Comment 1

a year ago
Assigning to Kannan.
Assignee: nobody → kvijayan
Blocks: 1228662
Status: NEW → ASSIGNED
(Assignee)

Comment 2

a year ago
Created attachment 8737895 [details] [diff] [review]
fix-fennec-build.patch

The issue is that the C++ XPIDL wiring was being enabled for android, even though the build didn't include the C++ impl for Android (as we use the JS implementation shimming to the android Java APIs instead).
(Assignee)

Updated

a year ago
Attachment #8737895 - Flags: review?(jdarcangelo)
(Reporter)

Updated

a year ago
Attachment #8737895 - Flags: review?(jdarcangelo) → review+
(Assignee)

Comment 3

a year ago
http://hg.mozilla.org/projects/larch/rev/935a58f99724
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.